# encoding: utf-8

u'''"Black Lotus Garnish — testing layer.'''

from plone.app.testing import PloneSandboxLayer, applyProfile, IntegrationTesting, FunctionalTesting
from zope.configuration import xmlconfig
from plonetheme.blacklotus.testing import BLACK_LOTUS_PLONE_THEME

class BlacklotusGarnish(PloneSandboxLayer):
    defaultBases = (BLACK_LOTUS_PLONE_THEME,)
    def setUpZope(self, app, configurationContext):
        import blacklotus.garnish
        xmlconfig.file('configure.zcml', blacklotus.garnish, context=configurationContext)
        import z3c.jbot
        xmlconfig.file('configure.zcml', z3c.jbot, context=configurationContext)
    def setUpPloneSite(self, portal):
        applyProfile(portal, 'blacklotus.garnish:default')

BLACK_LOTUS_GARNISH = BlacklotusGarnish()
BLACK_LOTUS_GARNISH_INTEGRATION_TESTING = IntegrationTesting(
    bases=(BLACK_LOTUS_GARNISH,),
    name='BlacklotusGarnish:Integration'
)
BLACK_LOTUS_GARNISH_FUNCTIONAL_TESTING = FunctionalTesting(
    bases=(BLACK_LOTUS_GARNISH,),
    name='BlacklotusGarnish:Functional'
)
